@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
    :root,
    .root,
    #root,
    #docs-root {
        --dark-blue-01: 5, 55, 131;
        --dark-blue-02: 5, 35, 80;
        --light-blue-01: 0, 147, 237;
        --light-blue-02: 153, 212, 248;
        --red: 230, 0, 60;
        --green: 76, 141, 16;
        --orange: 255, 92, 0;
        --orange-02: 243, 140, 0;
    }

    html, body {
        font-family: Montserrat;
        width: 100%;
        overflow-x: hidden;
    }

    h1 {
        @apply text-4xl;
        @apply font-bold;
        @apply mb-6;
    }
    h2 {
        @apply text-3xl;
        @apply font-bold;
        @apply mb-6;
    }
    h3 {
        @apply text-2xl;
        @apply font-bold;
        @apply mb-6;
    }
    h4 {
        @apply text-xl;
        @apply font-bold;
        @apply mb-4;
    }
    h5 {
        @apply text-lg;
        @apply font-bold;
        @apply mb-4;
    }
    h6 {
        @apply text-base;
        @apply font-bold;
        @apply mb-4;
    }
    p:not(:last-child) {
        margin-bottom: 1em;
    }

    
}

.ReactModal__Overlay {
        @apply opacity-0;
        @apply transition-opacity;
        @apply duration-300;
    }

    .ReactModal__Overlay--after-open {
        @apply opacity-100;
    }

    .ReactModal__Overlay--before-close {
        @apply opacity-0;
    }

    .rdt_Pagination select {
        background-image: none !important;
    }
    .rdt_Pagination select + svg {
        top: 50%;
        transform: translateY(-50%);
    }

    .swiper.same-height .swiper-wrapper {
        align-items: stretch;
    }
    .swiper.same-height .swiper-slide {
        height: unset;
    }
    .rdt_TableCell [data-tag='allowRowEvents'] {
        width: 100%;
    }

    .video-react .video-react-big-play-button {
        top: 50% !important;
        left: 50% !important;
        transfrom: translate(-50%,-50%);
    }